Bug 859050 - libmikmod related crashes playing *.it music files, breaking applications like Extreme Tux Racer
libmikmod related crashes playing *.it music files, breaking applications lik...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libmikmod (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
: 857415 858521 921098 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 09:05 EDT by Ilja Sekler
Modified: 2013-04-06 06:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:49:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ilja Sekler 2012-09-20 09:05:44 EDT
Description of problem:

The 'playmus' tool from SDL_mixer crashes or hangs indefinitely on exit when playing Extreme Tux Racer music files (/usr/share/etracer/*.it):


playmus /usr/share/etracer/music/start1-jt.it 
Opened audio at 22050 Hz 16 bit stereo (LE), 4096 bytes audio buffer
Playing /usr/share/etracer/music/start1-jt.it
^C*** glibc detected *** playmus: free(): invalid pointer: 0x0000000000fa33f0 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x7bfee)[0x7f7f01727fee]
/lib64/libmikmod.so.3(VC2_SampleUnload+0x30)[0x7f7ef8fd9620]
/lib64/libmikmod.so.3(+0x2f2fa)[0x7f7ef8fc72fa]
/lib64/libmikmod.so.3(Player_Free+0x28)[0x7f7ef8fc88e8]
/lib64/libSDL_mixer-1.2.so.0(Mix_FreeMusic+0xd9)[0x7f7f02221f39]
playmus[0x401182]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f7f016cd735]
playmus[0x40145d]


playmus doesn't crash, when the linked in or preloaded libmikmod.so.3.0.0 has been built without Fedora patches, but many voices are missing then, similar to Ubuntu bug <https://bugs.launchpad.net/etracer/+bug/194916> for libmikmod 3.1.11. Unfortunately, SDL_mixer in F17 doesn't like libmikmod.so.2, so no simple workaround.


Version-Release number of selected component (if applicable):

rpm -q libmikmod
libmikmod-3.2.0-18.fc17.x86_64

rpm -q SDL_mixer
SDL_mixer-1.2.12-3.fc17.x86_64


How reproducible: Always.


Steps to Reproduce:
1. Install extremetuxracer, which pulls in SDL_mixer and libmikmod.
2. Run 'playmus /usr/share/etracer/music/start1-jt.it'
3. Hit 'Ctrl+C' or wait till EOF is reached.
  
Actual results: Crash


Expected results: playmus quits cleanly.


Additional info:

I assume that this is the cause of Extreme Tux Racer being broken on Fedora 17, always hanging or crashing when starting a race, which tries and fails to stop the playback of "start1-jt.it" before loading "race1-jt.it".
Comment 1 Hans de Goede 2012-09-26 14:07:52 EDT
Thanks for the report, this is caused by libmikmod-CVE-2007-6720.patch being a bit overzealous in checking some things. A fixed package is on its way!
Comment 2 Hans de Goede 2012-09-26 14:37:52 EDT
*** Bug 858521 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2012-09-27 05:58:45 EDT
libmikmod-3.2.0-19.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libmikmod-3.2.0-19.fc18
Comment 4 Fedora Update System 2012-09-27 06:00:03 EDT
libmikmod-3.2.0-19.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libmikmod-3.2.0-19.fc17
Comment 5 Fedora Update System 2012-09-27 20:19:57 EDT
Package libmikmod-3.2.0-19.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmikmod-3.2.0-19.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14936/libmikmod-3.2.0-19.fc18
then log in and leave karma (feedback).
Comment 6 Ilja Sekler 2012-09-28 17:52:19 EDT
I am happy to confirm that libmikmod-3.2.0-19 fixes this bug as well as various sound distortions when playing Extreme Tux Racer music files, not mentioned in this bug report. The game runs impeccably now.

Tested on Fedora 17 x86_64 and on Fedora 18 i686 (well, briefly tested before an unrelated update for F18 completely broke TTYs).

Thanks a lot!
Comment 7 Hans de Goede 2012-10-01 08:55:35 EDT
(In reply to comment #6)
> I am happy to confirm that libmikmod-3.2.0-19 fixes this bug as well as
> various sound distortions when playing Extreme Tux Racer music files, not
> mentioned in this bug report. The game runs impeccably now.

Great, if you can login and then add some positive karma here:
https://admin.fedoraproject.org/updates/FEDORA-2012-14963/libmikmod-3.2.0-19.fc17

That will expedite other users getting the fixed version.

Thanks,

Hans
Comment 8 Fedora Update System 2012-12-20 10:49:13 EST
libmikmod-3.2.0-19.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Hans de Goede 2013-04-06 06:47:25 EDT
*** Bug 857415 has been marked as a duplicate of this bug. ***
Comment 10 Hans de Goede 2013-04-06 06:47:28 EDT
*** Bug 921098 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.